eth_type_trans
Prev | Driver Support | Next

## Name

eth_type_trans — determine the packet's protocol ID.

## Synopsis

`__be16 eth_type_trans (` | struct sk_buff * | skb,
| struct net_device * | dev`)`;

## Arguments

`skb`

  received socket data

`dev`

  receiving network device

## Description

The rule here is that we assume 802.3 if the type field is short enough to be a length. This is normal practice and works for any 'now in use' protocol.

Prev | Up | Next
eth_rebuild_header | Home | eth_header_parse